﻿$ErrorActionPreference = 'Stop'

# *** Automatically filled ***
$softwareName = 'Atom'
$version      = '1.43.0'
# *** Automatically filled ***

if ($version -eq (Get-UninstallRegistryKey $softwareName).DisplayVersion) {
    Write-Host "Version $version is already installed."
    return
}

# *** Automatically filled ***
$packageArgs = @{
    packageName    = 'atom'
    softwareName   = $softwareName
    fileType       = 'exe'
    url            = 'https://github.com/atom/atom/releases/download/v1.43.0/AtomSetup.exe'
    url64bit       = 'https://github.com/atom/atom/releases/download/v1.43.0/AtomSetup-x64.exe'
    silentArgs     = '--silent'
    checksum       = '206de1e14171479bfc40e1dc5b5162064423db5c5778a7a57447f5f2bae668e0'
    checksumType   = 'sha256'
    checksum64     = '11260636af13c602f7ad602ff241aed47d398897653866d007260f1fac9339a3'
    checksumType64 = 'sha256'
    validExitCodes = @(0)
}
# *** Automatically filled ***

Install-ChocolateyPackage @packageArgs
